Bug 1812 - Некорректно отображается file info для ogg файлов
: Некорректно отображается file info для ogg файлов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms-vorbis)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-05 00:34 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-05 00:34:44
Информация о файле ogg, записанная в файле в UTF-8 (насколько я понимаю),
отображается в palylist неверно, если в тексте присутствуют русские буквы
(просто выводятся символы байтовой кодировки). По идее, при работе в системе с
восьмибитной локалью, инфо должно перекодироваться в текущую системную
кодировку.
---

---
Проявляется при любых настройках перекодирования, и любых шрифтах. Обойти
удалось, только явно установив в настройках xmms-vorbis формат имени %f, то
есть отказавшись от показа информации.
------- Comment #1 From 2003-01-10 01:19:18 -------
Это не бага, а фича.  Для Ogg Vorbis \"родная\" кодировка -- именно
UTF-8.

Объездной путь для XMMS был найден такой: ставим ему шрифты cp1251, включаем
конвертор, конвертору говорим \"из UTF-8 в CP1251\".  На не-UTF
конвертирование не происходит вследствие экспешна, но в сумме нужный эффект
достигается.

Правильно будет, видимо, что-то делать с XMMS и прочими Grip.
------- Comment #2 From 2003-01-10 01:19:18 -------
Это не бага, а фича.  Для Ogg Vorbis \"родная\" кодировка -- именно
UTF-8.

Объездной путь для XMMS был найден такой: ставим ему шрифты cp1251, включаем
конвертор, конвертору говорим \"из UTF-8 в CP1251\".  На не-UTF
конвертирование не происходит вследствие экспешна, но в сумме нужный эффект
достигается.

Правильно будет, видимо, что-то делать с XMMS и прочими Grip.
------- Comment #3 From 2003-01-10 01:23:09 -------
Не посмотрел, на кого повешено.  Для xmms-vorbis это, безусловно, баг.
------- Comment #4 From 2003-01-10 01:23:09 -------
Не посмотрел, на кого повешено.  Для xmms-vorbis это, безусловно, баг.
------- Comment #5 From 2004-01-04 20:34:20 -------
Проверьте с 1.2.8 -- там изменен механизм перекодирования.  Works for me, в
общем.
------- Comment #6 From 2004-01-07 15:43:51 -------
fixed by another rusxmms patch in 1.2.8-alt